#include <stdio.h>
#include <QMutex>
#include <QWaitCondition>


int
main(int argc, char **argv) {

  QMutex mutex;
  QWaitCondition waitCond;
  bool status;

  printf("Sending wakeOne()\n");
  waitCond.wakeOne();
  printf("Sent wakeOne()\n");


  printf("Calling condition wait()\n");

  mutex.lock();
  status = waitCond.wait(&mutex, 1000);
  if (status == false) {
    printf("QWaitCondition() failed!\n");
  } else
    printf("QWaitCondition() success!\n");

  mutex.unlock();
 
  return 0;
}
